# INFTApprovalERC1155

## Properties

| Name                      | Type     | Description | Notes |
| ------------------------- | -------- | ----------- | ----- |
| **transaction\_hash**     | **str**  |             |       |
| **contract**              | **str**  |             |       |
| **log\_index**            | **str**  |             |       |
| **account**               | **str**  |             |       |
| **operator**              | **str**  |             |       |
| **approved**              | **bool** |             |       |
| **token\_contract\_type** | **str**  |             |       |
| **token\_name**           | **str**  |             |       |
| **token\_symbol**         | **str**  |             |       |

## Example

```python
from moonsdk.models.inft_approval_erc1155 import INFTApprovalERC1155

# TODO update the JSON string below
json = "{}"
# create an instance of INFTApprovalERC1155 from a JSON string
inft_approval_erc1155_instance = INFTApprovalERC1155.from_json(json)
# print the JSON string representation of the object
print INFTApprovalERC1155.to_json()

# convert the object into a dict
inft_approval_erc1155_dict = inft_approval_erc1155_instance.to_dict()
# create an instance of INFTApprovalERC1155 from a dict
inft_approval_erc1155_form_dict = inft_approval_erc1155.from_dict(inft_approval_erc1155_dict)
```

[\[Back to Model list\]](/sdks/python.md#documentation-for-models) [\[Back to API list\]](/sdks/python.md#documentation-for-api-endpoints) [\[Back to README\]](/sdks/python.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/python/inftapprovalerc1155.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
